Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Algorithms/AdaptiveWalk.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Algorithms/AdaptiveWalk.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Algorithms/AdaptiveWalk.cs	(revision 16958)
@@ -20,15 +20,15 @@
 #endregion
 
+using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Selection;
-using System.Linq;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("Adaptive Walk", "An adaptive walk applies a certain manipulation operation always taking the best of the sample.")]
-  [StorableClass]
+  [StorableType("872681B9-5489-4DEF-A6B2-F5663C58E108")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysis + CreatableAttribute.Categories.SplitToken + "1" + CreatableAttribute.Categories.OrderToken + "FLA", Priority = 303)]
   public sealed class AdaptiveWalk : LocalAnalysis<BestSelector> {
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private AdaptiveWalk(bool deserializing) : base(deserializing) { }
+    private AdaptiveWalk(StorableConstructorFlag _) : base(_) { }
     private AdaptiveWalk(AdaptiveWalk original, Cloner cloner) : base(original, cloner) { }
     public AdaptiveWalk()
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Algorithms/LocalAnalysis.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Algorithms/LocalAnalysis.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Algorithms/LocalAnalysis.cs	(revision 16958)
@@ -20,4 +20,7 @@
 #endregion
 
+using System;
+using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,12 +30,9 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
-using System;
-using System.Linq;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("Local Analysis", "A local analysis algorithm.")]
-  [StorableClass]
+  [StorableType("2D91C41A-81F8-4EDC-8FD9-F9AE8F4BDA1D")]
   public abstract class LocalAnalysis<T> : HeuristicOptimizationEngineAlgorithm, IStorableContent where T : class, IOperator, new() {
     public string Filename { get; set; }
@@ -100,5 +100,5 @@
 
     [StorableConstructor]
-    protected LocalAnalysis(bool deserializing) : base(deserializing) { }
+    protected LocalAnalysis(StorableConstructorFlag _) : base(_) { }
     protected LocalAnalysis(LocalAnalysis<T> original, Cloner cloner)
       : base(original, cloner) {
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Algorithms/LocalAnalysisMainLoop.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Algorithms/LocalAnalysisMainLoop.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Algorithms/LocalAnalysisMainLoop.cs	(revision 16958)
@@ -20,4 +20,5 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,5 +28,4 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Selection;
 
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("LocalAnalysisMainLoop", "An operator which represents the main loop of a best improvement local search (if only a single move is generated in each iteration it is a first improvement local search).")]
-  [StorableClass]
+  [StorableType("EA4AD808-4F92-4179-8828-F3D86116FC9F")]
   public class LocalAnalysisMainLoop : AlgorithmOperator {
 
@@ -72,5 +72,5 @@
 
     [StorableConstructor]
-    protected LocalAnalysisMainLoop(bool deserializing) : base(deserializing) { }
+    protected LocalAnalysisMainLoop(StorableConstructorFlag _) : base(_) { }
     protected LocalAnalysisMainLoop(LocalAnalysisMainLoop original, Cloner cloner) : base(original, cloner) { }
     public LocalAnalysisMainLoop()
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Algorithms/RandomWalk.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Algorithms/RandomWalk.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Algorithms/RandomWalk.cs	(revision 16958)
@@ -20,19 +20,19 @@
 #endregion
 
+using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Selection;
-using System.Linq;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("Random Walk", "A random walk applies a certain manipulation operation over and over.")]
-  [StorableClass]
+  [StorableType("2997A654-7B98-4979-939D-D07A5D06D77C")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysis + CreatableAttribute.Categories.SplitToken + "1" + CreatableAttribute.Categories.OrderToken + "FLA", Priority = 301)]
   public sealed class RandomWalk : LocalAnalysis<RandomSelector> {
 
     [StorableConstructor]
-    private RandomWalk(bool deserializing) : base(deserializing) { }
+    private RandomWalk(StorableConstructorFlag _) : base(_) { }
     private RandomWalk(RandomWalk original, Cloner cloner) : base(original, cloner) { }
     public RandomWalk()
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Algorithms/UpDownWalk.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Algorithms/UpDownWalk.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Algorithms/UpDownWalk.cs	(revision 16958)
@@ -20,13 +20,13 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("Up/Down Walk", "An up/down walk attempts to take the best of the sample until no better can be found and then switch to take the worse until no worse can be found.")]
-  [StorableClass]
+  [StorableType("81877EC4-294E-474A-8E48-6E37D0B702BC")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysis + CreatableAttribute.Categories.SplitToken + "1" + CreatableAttribute.Categories.OrderToken + "FLA", Priority = 302)]
   public sealed class UpDownWalk : LocalAnalysis<UpDownSelector> {
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    private UpDownWalk(bool deserializing) : base(deserializing) { }
+    private UpDownWalk(StorableConstructorFlag _) : base(_) { }
     private UpDownWalk(UpDownWalk original, Cloner cloner) : base(original, cloner) { }
     public UpDownWalk()
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Analysis/FitnessCloudAnalyzer.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Analysis/FitnessCloudAnalyzer.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Analysis/FitnessCloudAnalyzer.cs	(revision 16958)
@@ -22,4 +22,5 @@
 using System.Drawing;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,9 +28,8 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
-  [StorableClass]
+  [StorableType("4156976F-4E61-48BA-B598-FEA872F2E948")]
   public class FitnessCloudAnalyzer : AlgorithmOperator, IQualityTrailAnalyzer {
     public bool EnabledByDefault {
@@ -50,5 +50,5 @@
 
     [StorableConstructor]
-    protected FitnessCloudAnalyzer(bool deserializing) : base(deserializing) { }
+    protected FitnessCloudAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected FitnessCloudAnalyzer(FitnessCloudAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Analysis/InformationAnalyzer.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Analysis/InformationAnalyzer.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Analysis/InformationAnalyzer.cs	(revision 16958)
@@ -21,4 +21,5 @@
 
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,9 +28,8 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
-  [StorableClass]
+  [StorableType("57803A7A-E1A7-4AD8-9F32-D97F5983ACBD")]
   public class InformationAnalyzer : SingleSuccessorOperator, IQualityTrailAnalyzer {
     public bool EnabledByDefault {
@@ -83,5 +83,5 @@
 
     [StorableConstructor]
-    protected InformationAnalyzer(bool deserializing) : base(deserializing) { }
+    protected InformationAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected InformationAnalyzer(InformationAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Analysis/QualityTrailMultiAnalyzer.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Analysis/QualityTrailMultiAnalyzer.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Analysis/QualityTrailMultiAnalyzer.cs	(revision 16958)
@@ -20,4 +20,6 @@
 #endregion
 
+using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -26,11 +28,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
-using System.Linq;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("QualityTrailAnalyzer", "An analyzer that creates a quality trail which can be further analyzed by several analyzers.")]
-  [StorableClass]
+  [StorableType("E02FC8FB-85AD-42AB-8E14-EA509579C8BE")]
   public class QualityTrailMultiAnalyzer : CheckedMultiOperator<IQualityTrailAnalyzer>, IAnalyzer {
     public bool EnabledByDefault {
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    protected QualityTrailMultiAnalyzer(bool deserializing) : base(deserializing) { }
+    protected QualityTrailMultiAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected QualityTrailMultiAnalyzer(QualityTrailMultiAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public QualityTrailMultiAnalyzer()
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Analysis/RuggednessAnalyzer.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Analysis/RuggednessAnalyzer.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Analysis/RuggednessAnalyzer.cs	(revision 16958)
@@ -21,4 +21,5 @@
 
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,9 +28,8 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("Ruggedness Analyzer", "Analyzes autocorrelation for one mutation step and correlation length. Correlation length is calculated according to the statistical correlation length defined by Hordijk, W., 1996. A measure of landscapes. Evolutionary computation, 4(4), pp.335-360.")]
-  [StorableClass]
+  [StorableType("F018AA6C-B392-4D10-8817-D058D7678149")]
   public class RuggednessAnalyzer : SingleSuccessorOperator, IQualityTrailAnalyzer {
     public bool EnabledByDefault {
@@ -56,5 +56,5 @@
 
     [StorableConstructor]
-    protected RuggednessAnalyzer(bool deserializing) : base(deserializing) { }
+    protected RuggednessAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected RuggednessAnalyzer(RuggednessAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public RuggednessAnalyzer() {
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Analysis/UpDownWalkAnalyzer.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Analysis/UpDownWalkAnalyzer.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/Analysis/UpDownWalkAnalyzer.cs	(revision 16958)
@@ -21,4 +21,5 @@
 
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,9 +28,8 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("Up/Down Walk Analyzer", "Analyzes the quality trail produced from an up/down walk.")]
-  [StorableClass]
+  [StorableType("0D054A87-A040-4DC5-A722-0952EE96C924")]
   public class UpDownWalkAnalyzer : SingleSuccessorOperator, IQualityTrailAnalyzer {
     public bool EnabledByDefault {
@@ -65,5 +65,5 @@
 
     [StorableConstructor]
-    protected UpDownWalkAnalyzer(bool deserializing) : base(deserializing) { }
+    protected UpDownWalkAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected UpDownWalkAnalyzer(UpDownWalkAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public UpDownWalkAnalyzer() {
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/AdaptiveWalkCalculator.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/AdaptiveWalkCalculator.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/AdaptiveWalkCalculator.cs	(revision 16958)
@@ -22,17 +22,17 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("Adaptive Walk Calculator", "Calculates characteristics from an adaptive walk.")]
-  [StorableClass]
+  [StorableType("C7E8743D-572E-43DC-A4F3-8044CA4E412E")]
   public sealed class AdaptiveWalkCalculator : AlgorithmCharacteristicCalculator<AdaptiveWalk> {
 
     [StorableConstructor]
-    private AdaptiveWalkCalculator(bool deserializing) : base(deserializing) { }
+    private AdaptiveWalkCalculator(StorableConstructorFlag _) : base(_) { }
     private AdaptiveWalkCalculator(AdaptiveWalkCalculator original, Cloner cloner)
       : base(original, cloner) { }
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/AlgorithmCharacteristicCalculator.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/AlgorithmCharacteristicCalculator.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/AlgorithmCharacteristicCalculator.cs	(revision 16958)
@@ -21,12 +21,12 @@
 
 using System.Collections.Generic;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
-  [StorableClass]
+  [StorableType("19468006-B8AE-485A-BECC-2E4DD0A0B059")]
   public abstract class AlgorithmCharacteristicCalculator<TAlgorithm> : CharacteristicCalculator
     where TAlgorithm : class, IAlgorithm {
@@ -49,5 +49,5 @@
     
     [StorableConstructor]
-    protected AlgorithmCharacteristicCalculator(bool deserializing) : base(deserializing) { }
+    protected AlgorithmCharacteristicCalculator(StorableConstructorFlag _) : base(_) { }
     protected AlgorithmCharacteristicCalculator(AlgorithmCharacteristicCalculator<TAlgorithm> original, Cloner cloner)
     : base(original, cloner) {
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/CharacteristicCalculator.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/CharacteristicCalculator.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/CharacteristicCalculator.cs	(revision 16958)
@@ -21,13 +21,13 @@
 
 using System.Collections.Generic;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("Characteristic Calculator", "")]
-  [StorableClass]
+  [StorableType("108AEE01-0E47-42EF-9113-D118DA405215")]
   public abstract class CharacteristicCalculator : ParameterizedNamedItem, ICharacteristicCalculator {
 
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    protected CharacteristicCalculator(bool deserializing) : base(deserializing) { }
+    protected CharacteristicCalculator(StorableConstructorFlag _) : base(_) { }
     protected CharacteristicCalculator(CharacteristicCalculator original, Cloner cloner)
       : base(original, cloner) {
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/FLACharacterizer.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/FLACharacterizer.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/FLACharacterizer.cs	(revision 16958)
@@ -22,7 +22,7 @@
 using System;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("FLA Characterizer", "An algorithm that executes a characteristic calculator.")]
-  [StorableClass]
+  [StorableType("9843C276-463D-4B79-A44B-7BD1F3B23FB6")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysis + CreatableAttribute.Categories.SplitToken + "1" + CreatableAttribute.Categories.OrderToken + "FLA", Priority = 300)]
   public sealed class FLACharacterizer : BasicAlgorithm {
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    private FLACharacterizer(bool deserializing) : base(deserializing) { }
+    private FLACharacterizer(StorableConstructorFlag _) : base(_) { }
     private FLACharacterizer(FLACharacterizer original, Cloner cloner)
       : base(original, cloner) {
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/QAP/QAPCharacteristicCalculator.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/QAP/QAPCharacteristicCalculator.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/QAP/QAPCharacteristicCalculator.cs	(revision 16958)
@@ -23,18 +23,18 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.QuadraticAssignment;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("QAP Characteristic Calculator", "")]
-  [StorableClass]
+  [StorableType("84B82178-F412-412B-B388-4288AA15B11D")]
   public sealed class QAPCharacteristicCalculator : CharacteristicCalculator {
 
     [StorableConstructor]
-    private QAPCharacteristicCalculator(bool deserializing) : base(deserializing) { }
+    private QAPCharacteristicCalculator(StorableConstructorFlag _) : base(_) { }
     private QAPCharacteristicCalculator(QAPCharacteristicCalculator original, Cloner cloner) : base(original, cloner) { }
     public QAPCharacteristicCalculator() {
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/QAP/QAPDirectedWalk.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/QAP/QAPDirectedWalk.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/QAP/QAPDirectedWalk.cs	(revision 16958)
@@ -24,4 +24,5 @@
 using System.Linq;
 using System.Threading;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -30,5 +31,4 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.QuadraticAssignment;
 using HeuristicLab.Random;
@@ -36,5 +36,5 @@
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("Directed Walk (QAP-specific)", "")]
-  [StorableClass]
+  [StorableType("273C15EA-8362-4F36-AA94-5773A4FE8717")]
   public class QAPDirectedWalk : CharacteristicCalculator {
 
@@ -80,5 +80,5 @@
 
     [StorableConstructor]
-    private QAPDirectedWalk(bool deserializing) : base(deserializing) { }
+    private QAPDirectedWalk(StorableConstructorFlag _) : base(_) { }
     private QAPDirectedWalk(QAPDirectedWalk original, Cloner cloner) : base(original, cloner) { }
     public QAPDirectedWalk() {
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/RandomWalkCalculator.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/RandomWalkCalculator.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/RandomWalkCalculator.cs	(revision 16958)
@@ -22,17 +22,17 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("Random Walk Calculator", "Calculates characteristics from a random walk.")]
-  [StorableClass]
+  [StorableType("FF8080CA-5E93-4390-8184-67B92EBF5ACD")]
   public sealed class RandomWalkCalculator : AlgorithmCharacteristicCalculator<RandomWalk> {
 
     [StorableConstructor]
-    private RandomWalkCalculator(bool deserializing) : base(deserializing) { }
+    private RandomWalkCalculator(StorableConstructorFlag _) : base(_) { }
     private RandomWalkCalculator(RandomWalkCalculator original, Cloner cloner) : base(original, cloner) { }
     public RandomWalkCalculator() : this(new RandomWalk()) { }
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/UpDownWalkCalculator.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/UpDownWalkCalculator.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/CharacteristicCalculator/UpDownWalkCalculator.cs	(revision 16958)
@@ -22,17 +22,17 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("Up/Down Walk Calculator", "Calculates characteristics from an up/down walk.")]
-  [StorableClass]
+  [StorableType("3DDC32D3-A1F8-4A59-9AF1-48AFFC50B4E4")]
   public sealed class UpDownWalkCalculator : AlgorithmCharacteristicCalculator<UpDownWalk> {
 
     [StorableConstructor]
-    private UpDownWalkCalculator(bool deserializing) : base(deserializing) { }
+    private UpDownWalkCalculator(StorableConstructorFlag _) : base(_) { }
     private UpDownWalkCalculator(UpDownWalkCalculator original, Cloner cloner) : base(original, cloner) { }
     public UpDownWalkCalculator() : this(new UpDownWalk()) { }
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/DistanceCalculators/BinaryVectorDistanceCalculator.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/DistanceCalculators/BinaryVectorDistanceCalculator.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/DistanceCalculators/BinaryVectorDistanceCalculator.cs	(revision 16958)
@@ -22,14 +22,14 @@
 using System;
 using System.Drawing;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Common.Resources;
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.BinaryVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.DistanceCalculators {
 
   [Item("BinaryVectorDistanceCalculator", "Calculates the hamming distance of two binary vectors")]
-  [StorableClass]
+  [StorableType("BB6A8FD8-22B1-41CC-B38D-C8C9A2B79C83")]
   public class BinaryVectorDistanceCalculator : NamedItem, IItemDistanceCalculator {
 
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected BinaryVectorDistanceCalculator(bool deserializing) : base(deserializing) { }
+    protected BinaryVectorDistanceCalculator(StorableConstructorFlag _) : base(_) { }
 
     protected BinaryVectorDistanceCalculator(BinaryVectorDistanceCalculator original, Cloner cloner)
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/DistanceCalculators/IItemDistanceCalculator.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/DistanceCalculators/IItemDistanceCalculator.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/DistanceCalculators/IItemDistanceCalculator.cs	(revision 16958)
@@ -21,7 +21,9 @@
 
 using System;
+using HEAL.Attic;
 using HeuristicLab.Core;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.DistanceCalculators {
+  [StorableType("79CBD877-B9E9-4CFE-B1E3-5FCF0DB17EF1")]
   public interface IItemDistanceCalculator : IItem {
     Type ItemType { get; }
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/DistanceCalculators/PermutationDistanceCalculator.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/DistanceCalculators/PermutationDistanceCalculator.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/DistanceCalculators/PermutationDistanceCalculator.cs	(revision 16958)
@@ -23,14 +23,14 @@
 using System.Collections.Generic;
 using System.Drawing;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Common.Resources;
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.PermutationEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.DistanceCalculators {
 
   [Item("PermutationDistanceCalculator", "Calculates the distance of two permutations")]
-  [StorableClass]
+  [StorableType("F2B93749-3059-4D37-91A5-FAE2DC9DB794")]
   public class PermutationDistanceCalculator : NamedItem, IItemDistanceCalculator {
 
@@ -46,5 +46,5 @@
 
     [StorableConstructor]
-    protected PermutationDistanceCalculator(bool deserializing) : base(deserializing) { }
+    protected PermutationDistanceCalculator(StorableConstructorFlag _) : base(_) { }
 
     protected PermutationDistanceCalculator(PermutationDistanceCalculator original, Cloner cloner)
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/DistanceCalculators/RealVectorDistanceCalculator.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/DistanceCalculators/RealVectorDistanceCalculator.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/DistanceCalculators/RealVectorDistanceCalculator.cs	(revision 16958)
@@ -22,4 +22,5 @@
 using System;
 using System.Drawing;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Common.Resources;
@@ -27,10 +28,9 @@
 using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape.DistanceCalculators {
 
   [Item("RealVectorDistanceCalculator", "Calculates the Euclidian distance of two real vectors")]
-  [StorableClass]
+  [StorableType("26271DB0-0868-4363-84AE-46CF583276F0")]
   public class RealVectorDistanceCalculator : NamedItem, IItemDistanceCalculator {
 
@@ -46,5 +46,5 @@
 
     [StorableConstructor]
-    protected RealVectorDistanceCalculator(bool deserializing) : base(deserializing) { }
+    protected RealVectorDistanceCalculator(StorableConstructorFlag _) : base(_) { }
 
     protected RealVectorDistanceCalculator(RealVectorDistanceCalculator original, Cloner cloner)
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/BinaryVectorFitnessDistanceCorrelationAnalyzer.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/BinaryVectorFitnessDistanceCorrelationAnalyzer.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/BinaryVectorFitnessDistanceCorrelationAnalyzer.cs	(revision 16958)
@@ -23,14 +23,14 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("BinaryVectorFitnessDistanceCorrelationAnalyzer", "An operator that analyzes the correlation between fitness and distance to the best know solution for binary vector encoding")]
-  [StorableClass]
+  [StorableType("BE5474B1-9D8E-4AA0-9236-85C192712A96")]
   public class BinaryVectorFitnessDistanceCorrelationAnalyzer : FitnessDistanceCorrelationAnalyzer, IBinaryVectorOperator {
 
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected BinaryVectorFitnessDistanceCorrelationAnalyzer(bool deserializing) : base(deserializing) { }
+    protected BinaryVectorFitnessDistanceCorrelationAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected BinaryVectorFitnessDistanceCorrelationAnalyzer(BinaryVectorFitnessDistanceCorrelationAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/FitnessDistanceCorrelationAnalyzer.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/FitnessDistanceCorrelationAnalyzer.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/FitnessDistanceCorrelationAnalyzer.cs	(revision 16958)
@@ -23,4 +23,5 @@
 using System.Drawing;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -30,9 +31,8 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
-  [StorableClass]
+  [StorableType("A603BC77-CAA7-468B-9206-500A196691E7")]
   public abstract class FitnessDistanceCorrelationAnalyzer : AlgorithmOperator, IAnalyzer {
     public bool EnabledByDefault {
@@ -53,5 +53,5 @@
 
     [StorableConstructor]
-    protected FitnessDistanceCorrelationAnalyzer(bool deserializing) : base(deserializing) { }
+    protected FitnessDistanceCorrelationAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected FitnessDistanceCorrelationAnalyzer(FitnessDistanceCorrelationAnalyzer original, Cloner cloner)
       : base(original, cloner) { }
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/PermutationFitnessDistanceCorrelationAnalyzer.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/PermutationFitnessDistanceCorrelationAnalyzer.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/PermutationFitnessDistanceCorrelationAnalyzer.cs	(revision 16958)
@@ -24,14 +24,14 @@
 using System.Drawing;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("PermutationFitnessDistanceCorrelationAnalyzer", "An operator that analyzes the correlation between fitness and distance to the best know solution for permutation encoding")]
-  [StorableClass]
+  [StorableType("2021A1AA-FE98-4D42-8730-23C5EA552B21")]
   public class PermutationFitnessDistanceCorrelationAnalyzer : FitnessDistanceCorrelationAnalyzer, IPermutationOperator {
 
@@ -46,5 +46,5 @@
 
     [StorableConstructor]
-    protected PermutationFitnessDistanceCorrelationAnalyzer(bool deserializing) : base(deserializing) { }
+    protected PermutationFitnessDistanceCorrelationAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected PermutationFitnessDistanceCorrelationAnalyzer(PermutationFitnessDistanceCorrelationAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/QAPPermutationFitnessDistanceCorrelationAnalyzer.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/QAPPermutationFitnessDistanceCorrelationAnalyzer.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/QAPPermutationFitnessDistanceCorrelationAnalyzer.cs	(revision 16958)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,10 +28,9 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("QAPPermutationFitnessDistanceCorrelationAnalyzer", "An operator that analyzes the correlation between fitness and distance to the best know solution for permutation encoding")]
-  [StorableClass]
+  [StorableType("31823F7B-55FB-4D57-80EE-89F4D90B6412")]
   public class QAPPermutationFitnessDistanceCorrelationAnalyzer : FitnessDistanceCorrelationAnalyzer, IPermutationOperator {
 
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    protected QAPPermutationFitnessDistanceCorrelationAnalyzer(bool deserializing) : base(deserializing) { }
+    protected QAPPermutationFitnessDistanceCorrelationAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected QAPPermutationFitnessDistanceCorrelationAnalyzer(QAPPermutationFitnessDistanceCorrelationAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/RealVectorFitnessDistanceCorrelationAnalyzer.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/RealVectorFitnessDistanceCorrelationAnalyzer.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/RealVectorFitnessDistanceCorrelationAnalyzer.cs	(revision 16958)
@@ -23,14 +23,14 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
 
   [Item("RealVectorFitnessDistanceCorrelationAnalyzer", "An operator that analyzes the correlation between fitness and distance to the best know solution for real vector encoding")]
-  [StorableClass]
+  [StorableType("84EA2C55-F847-4CF9-B966-0E7B9DD8903C")]
   public class RealVectorFitnessDistanceCorrelationAnalyzer : FitnessDistanceCorrelationAnalyzer, IRealVectorOperator {
 
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected RealVectorFitnessDistanceCorrelationAnalyzer(bool deserializing) : base(deserializing) { }
+    protected RealVectorFitnessDistanceCorrelationAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected RealVectorFitnessDistanceCorrelationAnalyzer(RealVectorFitnessDistanceCorrelationAnalyzer original, Cloner cloner) : base(original, cloner) { }
 
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/ScatterPlot.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/ScatterPlot.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/FDC/ScatterPlot.cs	(revision 16958)
@@ -24,8 +24,8 @@
 using System.Drawing;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
+using HeuristicLab.Common.Resources;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Common.Resources;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
@@ -39,5 +39,5 @@
 
   [Item("ScatterPlot", "A scatter plot of 2D data")]
-  [StorableClass]
+  [StorableType("317254F8-A1D9-4675-8292-5CDF078B53BD")]
   public class ScatterPlot : NamedItem {
 
@@ -121,5 +121,5 @@
 
     [StorableConstructor]
-    protected ScatterPlot(bool deserializing) : base(deserializing) { }
+    protected ScatterPlot(StorableConstructorFlag _) : base(_) { }
     protected ScatterPlot(ScatterPlot original, Cloner cloner)
       : base(original, cloner) {
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/HeuristicLab.Analysis.FitnessLandscape-3.3.csproj
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/HeuristicLab.Analysis.FitnessLandscape-3.3.csproj	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/HeuristicLab.Analysis.FitnessLandscape-3.3.csproj	(revision 16958)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Analysis.FitnessLandscape</RootNamespace>
     <AssemblyName>HeuristicLab.Analysis.FitnessLandscape-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
@@ -94,4 +94,9 @@
     <Reference Include="ALGLIB-3.7.0">
       <HintPath>..\..\..\..\trunk\bin\ALGLIB-3.7.0.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\bin\HEAL.Attic.dll</HintPath>
       <Private>False</Private>
     </Reference>
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/ProblemInstanceAnalysis/DirectedPath.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/ProblemInstanceAnalysis/DirectedPath.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/ProblemInstanceAnalysis/DirectedPath.cs	(revision 16958)
@@ -23,11 +23,11 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("Directed Path", "")]
-  [StorableClass]
+  [StorableType("4FD1A99C-7858-4AB9-916F-FEE00B4FD66D")]
   public class DirectedPath<T> : Item where T : class, IDeepCloneable {
     [Storable]
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected DirectedPath(bool deserializing) : base(deserializing) { }
+    protected DirectedPath(StorableConstructorFlag _) : base(_) { }
     protected DirectedPath(DirectedPath<T> original, Cloner cloner)
       : base(original, cloner) {
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/ProblemInstanceAnalysis/PRProblemInstanceAnalyzer.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/ProblemInstanceAnalysis/PRProblemInstanceAnalyzer.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/ProblemInstanceAnalysis/PRProblemInstanceAnalyzer.cs	(revision 16958)
@@ -20,13 +20,12 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("Path-Relinking Problem Instance Analyzer", "Tries to identify the current problem instance being solved by analyzing the output of path-relinking heuristics.")]
-  [StorableClass]
+  [StorableType("1CBE2C82-1D1F-4C4E-BEC7-40EC914CB6C6")]
   public abstract class PrProblemInstanceAnalyzer<T> : ProblemInstanceAnalyzer where T : class, IDeepCloneable {
 
@@ -38,5 +37,5 @@
 
     [StorableConstructor]
-    protected PrProblemInstanceAnalyzer(bool deserializing) : base(deserializing) { }
+    protected PrProblemInstanceAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected PrProblemInstanceAnalyzer(PrProblemInstanceAnalyzer<T> original, Cloner cloner)
       : base(original, cloner) {
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/ProblemInstanceAnalysis/ProblemInstanceAnalyzer.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/ProblemInstanceAnalysis/ProblemInstanceAnalyzer.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/ProblemInstanceAnalysis/ProblemInstanceAnalyzer.cs	(revision 16958)
@@ -23,4 +23,5 @@
 using System.Globalization;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -29,9 +30,8 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("Problem Instance Similarity Analyzer", "Base class for analyzing whether certain obtained characteristics match the characteristics of already known problem instances.")]
-  [StorableClass]
+  [StorableType("9E5EF806-15D1-44B9-AC0E-01501A62C052")]
   public abstract class ProblemInstanceAnalyzer : SingleSuccessorOperator, IAnalyzer {
 
@@ -58,5 +58,5 @@
 
     [StorableConstructor]
-    protected ProblemInstanceAnalyzer(bool deserializing) : base(deserializing) { }
+    protected ProblemInstanceAnalyzer(StorableConstructorFlag _) : base(_) { }
 
     protected ProblemInstanceAnalyzer(ProblemInstanceAnalyzer original, Cloner cloner)
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/ProblemInstanceAnalysis/QAPPRProblemInstanceAnalyzer.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/ProblemInstanceAnalysis/QAPPRProblemInstanceAnalyzer.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/ProblemInstanceAnalysis/QAPPRProblemInstanceAnalyzer.cs	(revision 16958)
@@ -21,17 +21,17 @@
 
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.PermutationEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("QAP Path-Relinking Problem Instance Analyzer", "")]
-  [StorableClass]
+  [StorableType("7A17AAA9-3687-412F-B80F-5517CC2FFE02")]
   public sealed class QAPPRProblemInstanceAnalyzer : PrProblemInstanceAnalyzer<Permutation> {
 
     [StorableConstructor]
-    private QAPPRProblemInstanceAnalyzer(bool deserializing) : base(deserializing) { }
+    private QAPPRProblemInstanceAnalyzer(StorableConstructorFlag _) : base(_) { }
     private QAPPRProblemInstanceAnalyzer(QAPPRProblemInstanceAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public QAPPRProblemInstanceAnalyzer() { }
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/UpDownSelector.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/UpDownSelector.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/3.3/UpDownSelector.cs	(revision 16958)
@@ -20,4 +20,7 @@
 #endregion
 
+using System.Collections.Generic;
+using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -26,11 +29,8 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using System.Collections.Generic;
-using System.Linq;
 
 namespace HeuristicLab.Analysis.FitnessLandscape {
   [Item("Up/DownSelector", "A selection operator that moves towards the next local optimum, when found reverses direction and so on.")]
-  [StorableClass]
+  [StorableType("4CECAA0E-CC36-4910-B951-22C78C8EBA91")]
   public class UpDownSelector : InstrumentedOperator, IStochasticOperator {
 
@@ -56,5 +56,5 @@
 
     [StorableConstructor]
-    protected UpDownSelector(bool deserializing) : base(deserializing) { }
+    protected UpDownSelector(StorableConstructorFlag _) : base(_) { }
     protected UpDownSelector(UpDownSelector original, Cloner cloner) : base(original, cloner) { }
     public UpDownSelector() {
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/packages.config
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/packages.config	(revision 16958)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis.FitnessLandscape/packages.config	(revision 16958)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre02" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis/3.3/BestNScopesSolutionAnalyzer.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis/3.3/BestNScopesSolutionAnalyzer.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis/3.3/BestNScopesSolutionAnalyzer.cs	(revision 16958)
@@ -20,4 +20,8 @@
 #endregion
 
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,8 +31,4 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using System;
-using System.Collections.Generic;
-using System.Linq;
 
 namespace HeuristicLab.Analysis {
@@ -37,5 +37,5 @@
   /// </summary>
   [Item("BestNScopesSolutionAnalyzer", "An operator that maintains at most N scopes containing good quality solutions.")]
-  [StorableClass]
+  [StorableType("9E9CB06C-EFF2-4A99-9203-E334771FF613")]
   public class BestNScopesSolutionAnalyzer : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator {
 
@@ -82,5 +82,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    protected BestNScopesSolutionAnalyzer(bool deserializing) : base(deserializing) { }
+    protected BestNScopesSolutionAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected BestNScopesSolutionAnalyzer(BestNScopesSolutionAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: /branches/2457_ExpertSystem/HeuristicLab.Analysis/3.3/Optimizers/IteratedAlgorithm.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Analysis/3.3/Optimizers/IteratedAlgorithm.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Analysis/3.3/Optimizers/IteratedAlgorithm.cs	(revision 16958)
@@ -20,4 +20,9 @@
 #endregion
 
+using System;
+using System.Linq;
+using System.Threading;
+using System.Threading.Tasks;
+using HEAL.Attic;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
@@ -26,9 +31,4 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using System;
-using System.Linq;
-using System.Threading;
-using System.Threading.Tasks;
 
 namespace HeuristicLab.Analysis {
@@ -38,5 +38,5 @@
   [Item("Iterated Algorithm", "An algorithm that repeats an algorithm until either a certain target value is reached or a maximum budget is exceeded.")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysis, Priority = 116)]
-  [StorableClass]
+  [StorableType("787AF25E-46FF-4FBF-A2ED-011E7F41AF58")]
   public sealed class IteratedAlgorithm : Algorithm, IStorableContent {
     private const string ExecutionTimeResultName = "Execution Time";
@@ -166,5 +166,5 @@
 
     [StorableConstructor]
-    private IteratedAlgorithm(bool deserializing) : base(deserializing) { }
+    private IteratedAlgorithm(StorableConstructorFlag _) : base(_) { }
     private IteratedAlgorithm(IteratedAlgorithm original, Cloner cloner)
       : base(original, cloner) {
Index: /branches/2457_ExpertSystem/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/SolutionModel/SolutionSamplingOperator.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/SolutionModel/SolutionSamplingOperator.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/SolutionModel/SolutionSamplingOperator.cs	(revision 16958)
@@ -20,5 +20,5 @@
 #endregion
 
-using System;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -26,9 +26,8 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding.SolutionModel {
   [Item("Solution Sampling Operator", "Creates new solutions by sampling from a given model.")]
-  [StorableClass]
+  [StorableType("026C4C5E-8B97-4798-87E7-8B5958BDC79F")]
   public class SolutionSamplingOperator : InstrumentedOperator {
     
@@ -46,5 +45,5 @@
 
     [StorableConstructor]
-    protected SolutionSamplingOperator(bool deserializing) : base() { }
+    protected SolutionSamplingOperator(StorableConstructorFlag _) : base(_) { }
     protected SolutionSamplingOperator(SolutionSamplingOperator original, Cloner cloner)
       : base(original, cloner) { }
Index: /branches/2457_ExpertSystem/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/SolutionModel/Univariate/UnivariateModel.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/SolutionModel/Univariate/UnivariateModel.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/SolutionModel/Univariate/UnivariateModel.cs	(revision 16958)
@@ -21,13 +21,13 @@
 
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding.SolutionModel {
   [Item("Univariate solution model (binary)", "")]
-  [StorableClass]
+  [StorableType("E30B8452-970C-4AF2-B7E7-4AC9C21928BA")]
   public sealed class UnivariateModel : Item, ISolutionModel<BinaryVector> {
     [Storable]
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    private UnivariateModel(bool deserializing) : base(deserializing) { }
+    private UnivariateModel(StorableConstructorFlag _) : base(_) { }
     private UnivariateModel(UnivariateModel original, Cloner cloner)
       : base(original, cloner) {
Index: /branches/2457_ExpertSystem/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/SolutionModel/Univariate/UnivariateModelTrainingOperator.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/SolutionModel/Univariate/UnivariateModelTrainingOperator.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/SolutionModel/Univariate/UnivariateModelTrainingOperator.cs	(revision 16958)
@@ -22,4 +22,5 @@
 using System;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -28,7 +29,7 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding.SolutionModel {
+  [StorableType("a70d9738-4012-442a-b6b2-b0aa2c34a3c5")]
   public enum ModelBiasOptions {
     Unbiased,
@@ -38,5 +39,5 @@
 
   [Item("Univariate Model Training Operator", "Adds a univariate solution sampling model to the scope.")]
-  [StorableClass]
+  [StorableType("CF6BF85A-8AC0-4DF3-8591-671FCBDDB4F2")]
   public class UnivariateModelTrainingOperator : InstrumentedOperator, IStochasticOperator, ISingleObjectiveOperator {
 
@@ -71,5 +72,5 @@
 
     [StorableConstructor]
-    protected UnivariateModelTrainingOperator(bool deserializing) : base() { }
+    protected UnivariateModelTrainingOperator(StorableConstructorFlag _) : base(_) { }
     protected UnivariateModelTrainingOperator(UnivariateModelTrainingOperator original, Cloner cloner)
       : base(original, cloner) { }
Index: /branches/2457_ExpertSystem/HeuristicLab.Encodings.PermutationEncoding/3.3/Creators/PreexistingPermutationCreator.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.Encodings.PermutationEncoding/3.3/Creators/PreexistingPermutationCreator.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.Encodings.PermutationEncoding/3.3/Creators/PreexistingPermutationCreator.cs	(revision 16958)
@@ -20,4 +20,5 @@
 #endregion
 
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -26,5 +27,4 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
 
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("PreexistingPermutationCreator", "An operator which creates a new permutation of integer values from a set of given permutations.")]
-  [StorableClass]
+  [StorableType("D6EC71C0-2AC1-461B-B684-13352AC88A8C")]
   public sealed class PreexistingPermutationCreator : InstrumentedOperator, IPermutationCreator, IPreexistingSolutionCreator, IStochasticOperator {
     public override bool CanChangeName {
@@ -65,5 +65,5 @@
 
     [StorableConstructor]
-    private PreexistingPermutationCreator(bool deserializing) : base(deserializing) { }
+    private PreexistingPermutationCreator(StorableConstructorFlag _) : base(_) { }
     private PreexistingPermutationCreator(PreexistingPermutationCreator original, Cloner cloner) : base(original, cloner) { }
     public PreexistingPermutationCreator()
Index: /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem.Common/3.3/HeuristicLab.OptimizationExpertSystem.Common-3.3.csproj
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem.Common/3.3/HeuristicLab.OptimizationExpertSystem.Common-3.3.csproj	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem.Common/3.3/HeuristicLab.OptimizationExpertSystem.Common-3.3.csproj	(revision 16958)
@@ -10,6 +10,7 @@
     <RootNamespace>HeuristicLab.OptimizationExpertSystem.Common</RootNamespace>
     <AssemblyName>HeuristicLab.OptimizationExpertSystem.Common-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
@@ -77,4 +78,9 @@
       <Private>False</Private>
     </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\bin\HEAL.Attic.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
     <Reference Include="HeuristicLab.Algorithms.DataAnalysis-3.4">
       <HintPath>..\..\..\..\trunk\bin\HeuristicLab.Algorithms.DataAnalysis-3.4.dll</HintPath>
@@ -107,4 +113,9 @@
     <Reference Include="HeuristicLab.MainForm-3.3">
       <HintPath>..\..\..\..\trunk\bin\HeuristicLab.MainForm-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.MainForm.WindowsForms-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\bin\HeuristicLab.MainForm.WindowsForms-3.3.dll</HintPath>
       <Private>False</Private>
     </Reference>
Index: /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem.Common/3.3/KnowledgeCenter.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem.Common/3.3/KnowledgeCenter.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem.Common/3.3/KnowledgeCenter.cs	(revision 16958)
@@ -20,4 +20,12 @@
 #endregion
 
+using System;
+using System.Collections.Generic;
+using System.Drawing;
+using System.IO;
+using System.Linq;
+using System.Threading;
+using System.Threading.Tasks;
+using HeuristicLab.Algorithms.DataAnalysis;
 using HeuristicLab.Analysis;
 using HeuristicLab.Analysis.SelfOrganizingMaps;
@@ -32,12 +40,4 @@
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Random;
-using System;
-using System.Collections.Generic;
-using System.Drawing;
-using System.IO;
-using System.Linq;
-using System.Threading;
-using System.Threading.Tasks;
-using HeuristicLab.Algorithms.DataAnalysis;
 using Algorithm = HeuristicLab.Clients.OKB.Administration.Algorithm;
 using Problem = HeuristicLab.Clients.OKB.Administration.Problem;
@@ -403,5 +403,5 @@
 
     public Task UpdateKnowledgeBaseAsync(IProgress progress = null) {
-      if (progress == null) progress = new Progress(string.Empty);
+      if (progress == null) progress = new Progress();
       progress.Start("Updating Knowledge Base from OKB");
       OnDownloadStarted(progress);
@@ -417,5 +417,5 @@
       var adminClient = Clients.OKB.Administration.AdministrationClient.Instance;
       try {
-        progress.Status = "Connecting to OKB...";
+        progress.Message = "Connecting to OKB...";
         progress.ProgressValue = 0;
         // FIXME: How to tell if refresh is necessary?
@@ -434,5 +434,5 @@
 
         problemId2ProblemInstanceMapping.Clear();
-        progress.Status = "Downloading algorithm and problem instances...";
+        progress.Message = "Downloading algorithm and problem instances...";
         progress.ProgressValue = 0;
 
@@ -461,5 +461,5 @@
         var interestingValues = queryClient.ValueNames.Where(x => InterestingValueNames.Contains(x.Name)).ToList();
 
-        progress.Status = "Downloading runs...";
+        progress.Message = "Downloading runs...";
         progress.ProgressValue = 0;
         p[0] = 0;
@@ -482,10 +482,10 @@
             }
             SaveToCache(toCache);
-            progress.Status = string.Format("Downloaded runs {0} to {1} of {2}...", p[0], p[0] + batch.Count, count);
+            progress.Message = string.Format("Downloaded runs {0} to {1} of {2}...", p[0], p[0] + batch.Count, count);
             p[0] += batch.Count;
             progress.ProgressValue = p[0] / (double)count;
           }
         });
-        progress.Status = "Finishing...";
+        progress.Message = "Finishing...";
 
         // remove algorithm instances that do not appear in any downloaded run
@@ -556,5 +556,5 @@
             algorithmInstances.Add(alg);
             algorithmId2AlgorithmInstanceMapping.Add(algInst.Id, alg);
-            progress.Status = string.Format("Downloaded algorithm {0} (okb-id: {1})...", algInst.Name, algInst.Id);
+            progress.Message = string.Format("Downloaded algorithm {0} (okb-id: {1})...", algInst.Name, algInst.Id);
             p[0]++;
             progress.ProgressValue = p[0] / (double)total;
@@ -587,5 +587,5 @@
             problemId2ProblemInstanceMapping.Add(pInst.Id, probRun);
             ProblemInstances.Add(probRun);
-            progress.Status = string.Format("Downloaded problem {0} (okb-id: {1})....", pInst.Name, pInst.Id);
+            progress.Message = string.Format("Downloaded problem {0} (okb-id: {1})....", pInst.Name, pInst.Id);
             p[0]++;
             progress.ProgressValue = p[0] / (double)totalProblems;
@@ -628,5 +628,5 @@
               runList.Add(r.Item3);
             }
-            progress.Status = string.Format("Retrieved {0} of {1} from cache", runList.Count, total);
+            progress.Message = string.Format("Retrieved {0} of {1} from cache", runList.Count, total);
             progress.ProgressValue = (double)runList.Count / total;
           }
Index: /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem.Common/3.3/Recommenders/KNearestNeighborRecommender.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem.Common/3.3/Recommenders/KNearestNeighborRecommender.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem.Common/3.3/Recommenders/KNearestNeighborRecommender.cs	(revision 16958)
@@ -20,4 +20,6 @@
 #endregion
 
+using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -25,10 +27,8 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using System.Linq;
 
 namespace HeuristicLab.OptimizationExpertSystem.Common {
   [Item("K-Nearest Neighbor Recommender", "")]
-  [StorableClass]
+  [StorableType("A2DB464F-3F1D-47B0-944B-DE252D461A0C")]
   public sealed class KNearestNeighborRecommender : ParameterizedNamedItem, IAlgorithmInstanceRecommender {
     
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    private KNearestNeighborRecommender(bool deserializing) : base(deserializing) { }
+    private KNearestNeighborRecommender(StorableConstructorFlag _) : base(_) { }
     private KNearestNeighborRecommender(KNearestNeighborRecommender original, Cloner cloner) : base(original, cloner) { }
     public KNearestNeighborRecommender() {
Index: /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem.Common/3.3/Recommenders/OverallBestRecommender.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem.Common/3.3/Recommenders/OverallBestRecommender.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem.Common/3.3/Recommenders/OverallBestRecommender.cs	(revision 16958)
@@ -29,8 +29,9 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 
 namespace HeuristicLab.OptimizationExpertSystem.Common {
   [Item("Overall Best Recommender", "")]
-  [StorableClass]
+  [StorableType("CCB14209-4C6F-4C72-A4D9-F803D2232CFB")]
   public class OverallBestRecommender : ParameterizedNamedItem, IAlgorithmInstanceRecommender {
 
@@ -40,5 +41,5 @@
     
     [StorableConstructor]
-    private OverallBestRecommender(bool deserializing) : base(deserializing) { }
+    private OverallBestRecommender(StorableConstructorFlag _) : base(_) { }
     private OverallBestRecommender(OverallBestRecommender original, Cloner cloner) : base(original, cloner) { }
     public OverallBestRecommender() { }
Index: /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/HeuristicLab.OptimizationExpertSystem-3.3.csproj
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/HeuristicLab.OptimizationExpertSystem-3.3.csproj	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/HeuristicLab.OptimizationExpertSystem-3.3.csproj	(revision 16958)
@@ -10,6 +10,7 @@
     <RootNamespace>HeuristicLab.OptimizationExpertSystem</RootNamespace>
     <AssemblyName>HeuristicLab.OptimizationExpertSystem-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
Index: /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/Menu/0_Config/30_DownloadFromOkbMenuItem.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/Menu/0_Config/30_DownloadFromOkbMenuItem.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/Menu/0_Config/30_DownloadFromOkbMenuItem.cs	(revision 16958)
@@ -20,10 +20,10 @@
 #endregion
 
+using System;
+using System.Collections.Generic;
+using System.Drawing;
 using HeuristicLab.Common;
 using HeuristicLab.Common.Resources;
 using HeuristicLab.MainForm;
-using System;
-using System.Collections.Generic;
-using System.Drawing;
 
 namespace HeuristicLab.OptimizationExpertSystem.Menu {
@@ -72,5 +72,5 @@
     private void DownloadProgressOnStateChanged(object sender, EventArgs eventArgs) {
       var progress = (IProgress)sender;
-      if (progress.ProgressState == ProgressState.Finished || progress.ProgressState == ProgressState.Canceled) {
+      if (progress.ProgressState == ProgressState.Finished || progress.ProgressState == ProgressState.CancelRequested) {
         SetToolStripItemEnabled(true);
         progress.ProgressStateChanged -= DownloadProgressOnStateChanged;
Index: /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/OptimizationKnowledgeCenter.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/OptimizationKnowledgeCenter.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/OptimizationKnowledgeCenter.cs	(revision 16958)
@@ -20,10 +20,10 @@
 #endregion
 
+using System;
+using System.Windows.Forms;
 using HeuristicLab.Common;
 using HeuristicLab.MainForm;
 using HeuristicLab.MainForm.WindowsForms;
 using HeuristicLab.OptimizationExpertSystem.Common;
-using System;
-using System.Windows.Forms;
 
 namespace HeuristicLab.OptimizationExpertSystem {
@@ -45,5 +45,5 @@
       e.Value.ProgressStateChanged += OnProgressStateChanged;
       e.Value.ProgressValueChanged += OnProgressValueChanged;
-      e.Value.StatusChanged += OnProgressStatusChanged;
+      e.Value.MessageChanged += OnProgressStatusChanged;
       progressBar.Value = progressBar.Minimum;
       progressLabel.Text = string.Empty;
@@ -55,9 +55,9 @@
       if (InvokeRequired) { Invoke((Action<object, EventArgs>)OnProgressStateChanged, sender, e); return; }
       var progress = (IProgress)sender;
-      if (progress.ProgressState == ProgressState.Canceled
+      if (progress.ProgressState == ProgressState.CancelRequested
           || progress.ProgressState == ProgressState.Finished) {
         progress.ProgressStateChanged -= OnProgressStateChanged;
         progress.ProgressValueChanged -= OnProgressValueChanged;
-        progress.StatusChanged -= OnProgressStatusChanged;
+        progress.MessageChanged -= OnProgressStatusChanged;
         progressBar.Visible = false;
         progressLabel.Visible = false;
@@ -74,5 +74,5 @@
       if (InvokeRequired) { Invoke((Action<object, EventArgs>)OnProgressStatusChanged, sender, e); return; }
       var progress = (IProgress)sender;
-      progressLabel.Text = progress.Status.Replace(Environment.NewLine, "   ");
+      progressLabel.Text = progress.Message.Replace(Environment.NewLine, "   ");
     }
 
Index: /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/Toolbar/DownloadFromOKBToolbarItem.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/Toolbar/DownloadFromOKBToolbarItem.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/Toolbar/DownloadFromOKBToolbarItem.cs	(revision 16958)
@@ -20,8 +20,8 @@
 #endregion
 
+using System;
+using System.Drawing;
 using HeuristicLab.Common;
 using HeuristicLab.MainForm;
-using System;
-using System.Drawing;
 
 namespace HeuristicLab.OptimizationExpertSystem.Toolbar {
@@ -66,5 +66,5 @@
     private void DownloadProgressOnStateChanged(object sender, EventArgs eventArgs) {
       var progress = (IProgress)sender;
-      if (progress.ProgressState == ProgressState.Finished || progress.ProgressState == ProgressState.Canceled) {
+      if (progress.ProgressState == ProgressState.Finished || progress.ProgressState == ProgressState.CancelRequested) {
         SetToolStripItemEnabled(true);
         progress.ProgressStateChanged -= DownloadProgressOnStateChanged;
Index: /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/Views/KnowledgeCenterAllinOneView.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/Views/KnowledgeCenterAllinOneView.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/Views/KnowledgeCenterAllinOneView.cs	(revision 16958)
@@ -20,4 +20,11 @@
 #endregion
 
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Linq;
+using System.Text.RegularExpressions;
+using System.Windows.Forms;
+using System.Windows.Forms.DataVisualization.Charting;
 using HeuristicLab.Analysis;
 using HeuristicLab.Analysis.QualityAnalysis;
@@ -34,11 +41,4 @@
 using HeuristicLab.Optimization.Views;
 using HeuristicLab.OptimizationExpertSystem.Common;
-using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Linq;
-using System.Text.RegularExpressions;
-using System.Windows.Forms;
-using System.Windows.Forms.DataVisualization.Charting;
 
 namespace HeuristicLab.OptimizationExpertSystem {
@@ -224,5 +224,5 @@
       progress.ProgressStateChanged += OkbDownloadProgressOnStateChanged;
       Content.UpdateKnowledgeBaseAsync(progress);
-      MainFormManager.GetMainForm<HeuristicLab.MainForm.WindowsForms.MainForm>().AddOperationProgressToView(progressPanel, progress);
+      Progress.ShowOnControl(progressPanel, progress);
       progressPanel.Visible = true;
       SetEnabledStateOfControls();
Index: /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/Views/KnowledgeCenterViewBase.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/Views/KnowledgeCenterViewBase.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/Views/KnowledgeCenterViewBase.cs	(revision 16958)
@@ -20,4 +20,5 @@
 #endregion
 
+using System;
 using HeuristicLab.Common;
 using HeuristicLab.MainForm;
@@ -25,5 +26,4 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.OptimizationExpertSystem.Common;
-using System;
 
 namespace HeuristicLab.OptimizationExpertSystem {
@@ -146,5 +146,5 @@
     private void ContentOnDownloadStarted(object sender, EventArgs<IProgress> e) {
       if (InvokeRequired) { Invoke((Action<object, EventArgs<IProgress>>)ContentOnDownloadStarted, sender, e); return; }
-      MainForm.AddOperationProgressToView(this, e.Value);
+      //MainForm.AddOperationProgressToView(this, e.Value);
       e.Value.ProgressStateChanged += ProgressOnStateChanged;
       OnDownloadStarted(e.Value);
Index: /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/Views/PerformanceModelingView.cs
===================================================================
--- /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/Views/PerformanceModelingView.cs	(revision 16957)
+++ /branches/2457_ExpertSystem/HeuristicLab.OptimizationExpertSystem/3.3/Views/PerformanceModelingView.cs	(revision 16958)
@@ -20,4 +20,8 @@
 #endregion
 
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Threading.Tasks;
 using HeuristicLab.Analysis;
 using HeuristicLab.Common.Resources;
@@ -28,8 +32,4 @@
 using HeuristicLab.OptimizationExpertSystem.Common;
 using HeuristicLab.PluginInfrastructure;
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Threading.Tasks;
 
 namespace HeuristicLab.OptimizationExpertSystem {
@@ -153,5 +153,5 @@
     private void xValidateButton_Click(object sender, EventArgs e) {
       var recommender = (IAlgorithmInstanceRecommender)recommenderComboBox.SelectedItem;
-      var progress = MainForm.AddOperationProgressToView(this, "Performing Leave-one-out Crossvalidation");
+      var progress = Progress.ShowOnControl(this, "Performing Leave-one-out Crossvalidation");
       var topN = (int)topNComboBox.SelectedItem;
       Task.Factory.StartNew(() => { DoCrossvalidate(recommender, topN, progress); }, TaskCreationOptions.LongRunning);
@@ -188,5 +188,5 @@
           var observed = Content.GetAlgorithmPerformanceLog10(pi);
           if (observed.Count == 0) continue;
-          progress.Status = pi.Name + "...";
+          progress.Message = pi.Name + "...";
           var model = recommender.TrainModel(trainingSet.Where(x => x != pi).ToArray(), Content, features);
           var predictedTopN = model.GetRanking(pi).Take(topN).ToDictionary(x => x.Key, x => Math.Log10(x.Value));
Index: /branches/2457_ExpertSystem/ProblemInstanceIdentifier/App.config
===================================================================
--- /branches/2457_ExpertSystem/ProblemInstanceIdentifier/App.config	(revision 16957)
+++ /branches/2457_ExpertSystem/ProblemInstanceIdentifier/App.config	(revision 16958)
@@ -1,6 +1,6 @@
-﻿<?xml version="1.0" encoding="utf-8" ?>
+<?xml version="1.0" encoding="utf-8"?>
 <configuration>
     <startup> 
-        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2" />
+        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6.1"/>
     </startup>
 </configuration>
Index: /branches/2457_ExpertSystem/ProblemInstanceIdentifier/ProblemInstanceIdentifier.csproj
===================================================================
--- /branches/2457_ExpertSystem/ProblemInstanceIdentifier/ProblemInstanceIdentifier.csproj	(revision 16957)
+++ /branches/2457_ExpertSystem/ProblemInstanceIdentifier/ProblemInstanceIdentifier.csproj	(revision 16958)
@@ -10,7 +10,8 @@
     <RootNamespace>ProblemInstanceIdentifier</RootNamespace>
     <AssemblyName>ProblemInstanceIdentifier</AssemblyName>
-    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
Index: /branches/2457_ExpertSystem/UnitTests/UnitTests.csproj
===================================================================
--- /branches/2457_ExpertSystem/UnitTests/UnitTests.csproj	(revision 16957)
+++ /branches/2457_ExpertSystem/UnitTests/UnitTests.csproj	(revision 16958)
@@ -10,5 +10,5 @@
     <RootNamespace>UnitTests</RootNamespace>
     <AssemblyName>UnitTests</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <ProjectTypeGuids>{3AC096D0-A1C2-E12C-1390-A8335801FDAB};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
@@ -20,4 +20,5 @@
     <NuGetPackageImportStamp>
     </NuGetPackageImportStamp>
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
Index: /branches/2457_ExpertSystem/WalkExporter/App.config
===================================================================
--- /branches/2457_ExpertSystem/WalkExporter/App.config	(revision 16957)
+++ /branches/2457_ExpertSystem/WalkExporter/App.config	(revision 16958)
@@ -1,6 +1,6 @@
-﻿<?xml version="1.0" encoding="utf-8" ?>
+<?xml version="1.0" encoding="utf-8"?>
 <configuration>
     <startup> 
-        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5" />
+        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6.1"/>
     </startup>
 </configuration>
Index: /branches/2457_ExpertSystem/WalkExporter/WalkExporter.csproj
===================================================================
--- /branches/2457_ExpertSystem/WalkExporter/WalkExporter.csproj	(revision 16957)
+++ /branches/2457_ExpertSystem/WalkExporter/WalkExporter.csproj	(revision 16958)
@@ -9,6 +9,7 @@
     <RootNamespace>WalkExporter</RootNamespace>
     <AssemblyName>WalkExporter</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
Index: /branches/2457_ExpertSystem/WalkExporter/packages.config
===================================================================
--- /branches/2457_ExpertSystem/WalkExporter/packages.config	(revision 16957)
+++ /branches/2457_ExpertSystem/WalkExporter/packages.config	(revision 16958)
@@ -2,4 +2,4 @@
 <packages>
   <package id="protobuf-net" version="2.4.0" targetFramework="net45" />
-  <package id="System.ValueTuple" version="4.5.0" targetFramework="net45" />
+  <package id="System.ValueTuple" version="4.5.0" targetFramework="net45" requireReinstallation="true" />
 </packages>
